export class BaseVertexAPI {
    constructor(context) {
        this.context = context;
    }
    getWalletClientAddress() {
        if (!this.context.walletClient) {
            throw new Error('Wallet client not provided');
        }
        return this.context.walletClient.account.address;
    }
    getWalletClientChainIdIfNeeded(params) {
        if (params.chainId) {
            return params.chainId;
        }
        if (!this.context.walletClient) {
            throw new Error('Wallet client not provided');
        }
        return this.context.walletClient.chain.id;
    }
    getEndpointAddress() {
        return this.context.contractAddresses.endpoint;
    }
    async getOrderbookAddress(productId) {
        return this.context.engineClient.getOrderbookAddress(productId);
    }
    getSubaccountOwnerIfNeeded(params) {
        return params.subaccountOwner ?? this.getWalletClientAddress();
    }
    paramsWithContracts(params) {
        return {
            ...params,
            ...this.context.contracts,
        };
    }
}
//# sourceMappingURL=base.js.map