import { BaseRewardsAPI } from './BaseRewardsAPI';
import { ClaimLiquidTokensParams, VrtxTokenAmountParams } from './types';
export declare class RewardsQueryAPI extends BaseRewardsAPI {
    /**
     * Get the estimated CCIP fee for the `stakeAs` transaction
     * @param params
     * @returns
     */
    getEstimatedStakeAsCcipFee(params: VrtxTokenAmountParams): Promise<bigint>;
    /**
     * Get the estimated CCIP fee for the `withdraw` transaction
     * @returns
     */
    getEstimatedWithdrawCcipFee(): Promise<bigint>;
    /**
     * Get the estimated CCIP fee for the `withdrawSlow` transaction
     * @returns
     */
    getEstimatedWithdrawSlowCcipFee(): Promise<bigint>;
    /**
     * Get the estimated CCIP fee for the `claimWithdraw` transaction
     * @returns
     */
    getEstimatedClaimWithdrawCcipFee(): Promise<bigint>;
    /**
     * Get the estimated CCIP fee for the `claim` transaction
     * @param params
     * @returns
     */
    getClaimLiquidTokensCcipFee(params: ClaimLiquidTokensParams): Promise<bigint>;
    /**
     * Get the estimated CCIP fee for the `claimAndStake` transaction
     * @param params
     * @returns
     */
    getClaimAndStakeLiquidTokensCcipFee(params: ClaimLiquidTokensParams): Promise<bigint>;
    /**
     * Util function to get estimate of CCIP Fee
     * @private
     * @param transactionType
     * @param encodedAbiParams
     */
    private getEstimatedCcipFee;
    /**
     * Util function to get parsed function input data
     * @private
     * @param functionName
     * @returns
     */
    private getFunctionAbiInputs;
}
//# sourceMappingURL=RewardsQueryAPI.d.ts.map