import { DepositCollateralParams, MintMockERC20Params } from '@vertex-protocol/contracts';
import { BaseSpotAPI } from './BaseSpotAPI';
import { ApproveAllowanceParams, BurnVlpParams, MintVlpParams, TransferQuoteParams, WithdrawCollateralParams } from './types';
export declare class SpotExecuteAPI extends BaseSpotAPI {
    deposit(params: DepositCollateralParams): Promise<`0x${string}`>;
    withdraw(params: WithdrawCollateralParams): Promise<import("@vertex-protocol/engine-client").EngineServerExecuteSuccessResult<"withdraw_collateral">>;
    approveAllowance(params: ApproveAllowanceParams): Promise<`0x${string}`>;
    /**
     * Transfers quote between subaccounts under the same wallet.
     *
     * @param params
     */
    transferQuote(params: TransferQuoteParams): Promise<import("@vertex-protocol/engine-client").EngineServerExecuteSuccessResult<"transfer_quote">>;
    mintVlp(params: MintVlpParams): Promise<import("@vertex-protocol/engine-client").EngineServerExecuteSuccessResult<"mint_vlp">>;
    burnVlp(params: BurnVlpParams): Promise<import("@vertex-protocol/engine-client").EngineServerExecuteSuccessResult<"burn_vlp">>;
    _mintMockERC20(params: MintMockERC20Params): Promise<`0x${string}`>;
}
//# sourceMappingURL=SpotExecuteAPI.d.ts.map