import { GetEngineMaxMintVlpAmountParams, GetEngineMaxWithdrawableParams } from '@vertex-protocol/engine-client';
import { BigDecimal } from '@vertex-protocol/utils';
import { BaseSpotAPI } from './BaseSpotAPI';
import { GetTokenAllowanceParams, GetTokenWalletBalanceParams } from './types';
export declare class SpotQueryAPI extends BaseSpotAPI {
    /**
     * Gets the estimated max withdrawable amount for a product
     * @param params
     */
    getMaxWithdrawable(params: GetEngineMaxWithdrawableParams): Promise<BigDecimal>;
    /**
     * Queries engine to determine maximum quote amount for minting VLP.
     *
     * @param params
     */
    getMaxMintVlpAmount(params: GetEngineMaxMintVlpAmountParams): Promise<BigDecimal>;
    /**
     * Helper to get current token balance in the user's wallet (i.e. not in a Vertex subaccount)
     */
    getTokenWalletBalance({ address, ...rest }: GetTokenWalletBalanceParams): Promise<bigint>;
    /**
     * Helper to get current token allowance
     */
    getTokenAllowance({ address, ...rest }: GetTokenAllowanceParams): Promise<BigDecimal>;
}
//# sourceMappingURL=SpotQueryAPI.d.ts.map