import { BaseVertexAPI } from '../base';
export class SubaccountExecuteAPI extends BaseVertexAPI {
    /**
     * Liquidates a subaccount
     *
     * @param params
     */
    async liquidateSubaccount(params) {
        return this.context.engineClient.liquidateSubaccount({
            ...params,
            subaccountOwner: this.getSubaccountOwnerIfNeeded(params),
            verifyingAddr: params.verifyingAddr ?? this.getEndpointAddress(),
            chainId: this.getWalletClientChainIdIfNeeded(params),
        });
    }
    /**
     * Links a signer to a subaccount to allow them to sign transactions on behalf of the subaccount
     *
     * @param params
     */
    async linkSigner(params) {
        return this.context.engineClient.linkSigner({
            ...params,
            subaccountOwner: this.getSubaccountOwnerIfNeeded(params),
            verifyingAddr: params.verifyingAddr ?? this.getEndpointAddress(),
            chainId: this.getWalletClientChainIdIfNeeded(params),
        });
    }
}
//# sourceMappingURL=SubaccountExecuteAPI.js.map