import { EngineServerQueryRequest, EngineServerQueryRequestByType, EngineServerQueryRequestType } from '@vertex-protocol/engine-client';
import { BaseVertexAPI } from '../base';
/**
 * Builds query messages as expected by the server to send over Websocket.
 * @example vertexClient.ws.query.buildQueryMessage('all_products', {})
 */
export declare class WebSocketQueryAPI extends BaseVertexAPI {
    /**
     * Builds a query request message as expected by the server via Websocket.
     * @param requestType
     * @param params
     * @returns query request message.
     */
    buildQueryMessage<TRequestType extends EngineServerQueryRequestType>(requestType: TRequestType, params: EngineServerQueryRequestByType[TRequestType]): EngineServerQueryRequest<TRequestType>;
}
//# sourceMappingURL=WebSocketQueryAPI.d.ts.map