import { WalletClientWithAccount } from '@vertex-protocol/contracts';
import { MarketAPI } from './apis/market';
import { PerpAPI } from './apis/perp';
import { RewardsAPI } from './apis/rewards';
import { SpotAPI } from './apis/spot';
import { SubaccountAPI } from './apis/subaccount';
import { WebsocketAPI } from './apis/ws';
import { VertexClientContext } from './context';
/**
 * Client for querying and executing against Vertex Clearinghouse.
 * Usually not instantiated directly. Instead, use {@link createVertexClient:CLIENT}.
 */
export declare class VertexClient {
    context: VertexClientContext;
    market: MarketAPI;
    subaccount: SubaccountAPI;
    spot: SpotAPI;
    perp: PerpAPI;
    rewards: RewardsAPI;
    ws: WebsocketAPI;
    constructor(context: VertexClientContext);
    /**
     * Sets the linked signer for the client. Set to null to revert to the chain signer.
     * @param linkedSignerWalletClient
     */
    setLinkedSigner(linkedSignerWalletClient: WalletClientWithAccount | null): void;
    /**
     * Sets the WalletClient for the client. Will cause a full reload of the current context.
     * @param walletClient
     */
    setWalletClient(walletClient: VertexClientContext['walletClient']): void;
    private setupFromContext;
}
//# sourceMappingURL=client.d.ts.map